Skip to main content
GET
/
workspaces
/
{id}
/
webhooks
/
secret-status
@firma-dev/sdk
import { FirmaClient } from "@firma-dev/sdk";

const firma = new FirmaClient({ apiKey: "YOUR_API_KEY" });

const response = await firma.webhooks.getWorkspaceWebhookSecretStatus({
    id: "id"
});
console.log(response);
curl --request GET \
--url https://api.firma.dev/functions/v1/signing-request-api/workspaces/{id}/webhooks/secret-status \
--header 'Authorization: <api-key>'
import requests

url = "https://api.firma.dev/functions/v1/signing-request-api/workspaces/{id}/webhooks/secret-status"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.firma.dev/functions/v1/signing-request-api/workspaces/{id}/webhooks/secret-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "created_at": "2023-11-07T05:31:56Z",
  "last_rotated_at": "2023-11-07T05:31:56Z",
  "grace_period_active": true,
  "grace_period_ends_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.

Path Parameters

id
string<uuid>
required

Workspace ID

Response

200 - application/json

Secret status retrieved

Webhook secret status and rotation info

created_at
string<date-time> | null
required

When the webhook secret was created

last_rotated_at
string<date-time> | null

When the webhook secret was last rotated

grace_period_active
boolean

Whether the old secret is still valid alongside the new one

grace_period_ends_at
string<date-time> | null

When the old secret grace period expires